<?php
/**
 * @fileID: $Id: helper.php 7592 2011-12-06 07:54:01Z kostya $
 * @changedDate: $LastChangedDate: 2011-12-06 14:54:01 +0700 (Вт, 06 дек 2011) $
 * @changedBy: $LastChangedBy: kostya $
 * MightyResources Article Details module by Mighty Extensions
 * a module for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');


class modJSRArticleDetailHelper
{
	function getArticleDetails($id)
	{
		$db = &JFactory::getDBO();
		$sql = "SELECT a.*, cat.name as catname, cat.id as cid, t.name as typename, u.username as author "
		." FROM #__js_res_record AS a"
		." LEFT JOIN #__users AS u ON a.user_id = u.id "
		." LEFT JOIN #__js_res_types AS t ON a.type_id = t.id "
		." LEFT JOIN #__js_res_record_category AS reccat ON a.id = reccat.record_id "
		." LEFT JOIN #__js_res_category AS cat ON reccat.catid = cat.id "
		." WHERE a.id = {$id}"
		." ";
		$db->setQuery($sql);
		$article = $db->loadObject();

		$params = ResHelper::initArticleParams($article->type_id);
		if($article->user_id)
		{

			if(JRequest::getInt('category_id'))	
			{
				$cp = ResHelper::initListParams(JRequest::getInt('category_id'));
				$params->merge($cp);
				$section = ResHelper::getCategorySection(JRequest::getInt('category_id'));
			}
			if(!$section) $section = ResHelper::getArticleSection($article->id);


			$link = ''; $links = array();
			if((($params->get('category_mode') == 2 || $params->get('category_mode') == 3)
			&& (JRequest::getInt('user_id', 0) == 0 || (JRequest::getInt('user_id') != $article->user_id))
			&& $article->user_id
			&& (JRequest::getVar('client', 'resource') == 'resource') ) || (JRequest::getInt('client_id') && $params->get('menu_personalize_group')) )
			{
				require_once (JPATH_ROOT.DS.'components'.DS.'com_resource'.DS.'helpers'.DS.'helper.php');
				$res = getNumbers('created', $article->user_id, $section, $params);

				$url = MEUrl::link_list(JRequest::getInt('category_id', $section), array('user_id' => $article->user_id, 'view_what' => 'created'));
				$link = JHTML::link(MERoute::_($url),  $params->get('item_show_all_label', JText::_('Show all records by this user')).' '.($res ? " ({$res})" : null)  );

				$links[0]->link = MERoute::_($url);
				$links[0]->alt = $params->get('item_show_all_label', JText::_('Show all records by this user'));
				if($res) $links[0]->alt .= " ($res)";
				$links[0]->icon = 'components/com_resource/images/user_record.png';
			}

			if(MEAccess::isModerator($article->user_id))
			{
				$icons = array();
				if($params->get('moder_icons')) $icons = unserialize($params->get('moder_icons'));
				if(@$icons[$article->user_id])
				{
					$name = substr($icons[$article->user_id], 0, -4);
					$article->author .= ' '.JHTML::image(JURI::root().'components/com_resource/images/moderator/'.$icons[$article->user_id],
					JText::_(JString::ucfirst($article->author)), array('align'=>'absmiddle'));
				}
			}

			if($params->get('item_author_link') == 1 && $article->user_id)
			{
				if(MECommunityHelper::isEnabled())
				{
					MECommunityHelper::loadApi();
					if($params->get('item_avatar')) $uparams['avatar'] = true; else $uparams['avatar'] = false;
					If($params->get('item_author') == 1) $uparams['name'] = $params->get('item_author_mode', 'username');
					$article->author = JSCommunityApi::getUserSlideMenu($article->user_id, $article->author, $links, $uparams);
				}
				elseif (JComponentHelper::isEnabled(substr(RES_COMMUNITY, 0, -4)))
				{
					If(method_exists($class, 'userName'))
					{
						$item->user = $class->userName($item->user_id, $uname);
					}
					if($link) $article->author .= ' '.$link;
				}
				else
				{
					if($link) $article->author .= ' '.$link;
				}
			}
		}
		
		$model = &JModel::getInstance('list', 'ResModel');
		
		$article->rating = subTemplate::loadRatingTemplateMCR($params->get('tmpl_rating'), round(@$article->votes_result), 'r'.uniqid($article->id), $article->id, 'ItemRatingCallBack', (int)$model->canRate($article->id, $params, $article->user_id) );
		$article->comments = $model->countComments($article, $params);
		return $article;
	}

	function getNumOfVotes($id)
	{
		$db = &JFactory::getDBO();
		$sql =  "SELECT COUNT(*) "
		." FROM #__js_res_vote"
		." WHERE `record_id` = {$id}"
		;
		$db->setQuery($sql);
		$votes = $db->loadResult();
		return $votes;


	}

	function isUserVoted($id)
	{
		$db = &JFactory::getDBO();

		$user = &JFactory::getUser();
		$sql = "SELECT COUNT(*) "
		." FROM #__js_res_vote"
		." WHERE `record_id` = {$id} AND `user_id` = {$user->id}";
		;
		$db->setQuery($sql);
		$has_voted = $db->loadResult();

		return $has_voted;


	}

}





?>