<?php
defined('_JEXEC') or die();

class JElementCategories extends JElement
{
	function fetchElement($name, $value, &$node, $control_name)
	{
	    if(!is_array($value))
	        settype($value, 'array');
	    
	    $result = $this->_getList();

	    $script = '
    		var sectioncats = new Array();';
            foreach ($result as $key => $res) {
                $script .= 'sectioncats['.$key.'] = new Array();';
            	$script .= 'sectioncats['.$key.'].push("'.$key.'_'.$res[0].'");';
            	if( $res[1] !== false){
            	    foreach ($res[1] as $key2 => $cat) {
            	    	$script .= 'sectioncats['.$key.'].push("'.$cat->value.'_'.$cat->text.'");';
            	    }
            	}
            }
	        
	    $script .='
			var selected = new Array();';
	    
	    foreach ($value as $val) {
	    	$script .='selected.push("'.$val.'");';
	    }
				
		$script .='
    		function loadCategories(section_id){
    		
	    		var select = $("paramscategory_id");
	    		select.empty();
	    		
    			sectioncats[section_id].each(function(item, index){
                	var parts = item.split("_");
                	if( selected.contains(parts[0]) ){
                		new Element("option", { value:parts[0], selected:"selected" }).setText(parts[1].replace(/&nbsp;/g,"\u00a0")).injectInside(select);
                	}else{
                		new Element("option", { value:parts[0]}).setText(parts[1].replace(/&nbsp;/g,"\u00a0")).injectInside(select);
            		}
                });
    		}
	    ';
	    $doc = &JFactory::getDocument();
	    $doc->addScriptDeclaration($script);
	    
		$html = JHTML::_('select.genericlist',  array(),
            "{$control_name}[{$name}][]", 'multiple="multiple"', 'value', 'text', $value);
        $html .= '<script type="text/javascript">loadCategories($("paramssection_id").getValue());</script>';
		return $html;
	}

    function _getList()
	{
		$db = & JFactory::getDBO();
		$out = array();
        JModel::addIncludePath(JPATH_ROOT.DS.'administrator'.DS.'components'.DS.'com_resource'.DS.'models');
		$model = JModel::getInstance('Category', 'ResModel');
		
		$sql = "select  id AS value, name as text FROM #__js_res_category WHERE parent = 0";
		$db->setQuery($sql);
		$res = $db->loadObjectList();
		if($res)
		{
			foreach ($res AS $r)
			{
				$out[$r->value][0] =  $r->text;
				$out[$r->value][] = $model->_getCategoriesList($r->value);
			}
		}
		else 
		{
			return false;
		}
		return  $out;
		
	}
}