<?php
/**
 * @fileID: $Id: mod_jsc_content.php 7354 2011-09-23 13:59:47Z kostya $
 * @changedDate: $LastChangedDate: 2011-09-23 20:59:47 +0700 (Пт, 23 сен 2011) $
 * @changedBy: $LastChangedBy: kostya $
 * MightyResources Content Viewer module by Mighty Extensions
 * a module for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined ( '_JEXEC' ) or die ( 'Restricted access' );
//require_once (dirname(__FILE__).DS.'helper.php');
require_once (JPATH_ROOT . DS . 'administrator' . DS . 'components' . DS . 'com_resource' . DS . 'library' . DS . 'helper.php');
require_once (JPATH_ROOT . DS . 'components' . DS . 'com_resource' . DS . 'api.php');

$options ['user_id'] = 0;
$options ['view_what'] = 0;
$options ['client'] = 'module';

$user = &JFactory::getUser ();

switch ($params->get ( 'list_type' )) {
	case 2 :
		$options ['user_id'] = $user->id;
		$options ['view_what'] = 'created';
		break;
	case 3 :
		$options ['user_id'] = $user->id;
		$options ['view_what'] = 'favorites';
		break;
	case 4 :
		$options ['user_id'] = $user->id;
		$options ['view_what'] = 'rated';
		break;
	case 5 :
		$options ['user_id'] = $user->id;
		$options ['view_what'] = 'commented';
		break;
	case 6 :
		$options ['user_id'] = $user->id;
		$options ['view_what'] = 'last-visited';
		break;
}

$options ['limit'] = $params->get ( 'limit' );
$options ['records_mode'] = 2;
$options ['category'] = $params->get ( 'section_id', 0 );

if (! $options ['category'])
	return;

if ($params->get ( 'template' ))
	$options ['template'] = $params->get ( 'template' );
if ($params->get ( 'orderby' ))
	$options ['order'] = $params->get ( 'orderby' );

$where = array ();
$join = array ();

$cat_ids = $params->get ( 'category_id', 0 );

if ($cat_ids) {
	settype ( $cat_ids, 'array' );
	$where [] = "r.id IN( SELECT record_id FROM #__js_res_record_category WHERE catid IN (" . implode ( ",", $cat_ids ) . "))";
}

require_once JPATH_ROOT.DS.'components'.DS.'com_resource'.DS.'models'.DS.'list.php';
$model = new ResModelList();

$lists [] = MightyResourcesApi::getRecordList ( $options, $where, $join, $model, $tmp [] );
if (empty ( $lists [0] [0] ))
	return;

if ($params->get ( 'show_all_items' )) {
	$link = MEUrl::link_list ( $options ['category'], array ('user_id' => $options ['user_id'], 'view_what' => $options ['view_what'] ) );
	$link = MERoute::_ ( $link );
	$menu [] = "<br /><div class=\"readonbox\"><a class=readon href=\"{$link}\">" . $params->get ( 'show_all_text', JText::_ ( 'Show All Records' ) ) . "</a></div><br />";
}

require (JModuleHelper::getLayoutPath ( 'mod_jsc_content' ));
