<?php
defined('_JEXEC') or die();
$labels = array();
switch ($params->get('text_icon'))
{
	case 0:
		$labels['records'] = JText::_("Articles");
		$labels['authors'] = JText::_("Authors");
		$labels['hits'] = JText::_("Hits");
		$labels['comments'] = JText::_("Comments");
		$labels['rating'] = JText::_("Rating");
		$labels['favourite'] = JText::_("Favourites");
		break;
	case 1:
		$folder = JURI::base().'modules/mod_jsc_secsummary/images/';
		$img = '<img src="'.$folder.'%s" alt="%s" title="%s"/>';
		$labels['records'] = sprintf($img, 'record.png', JText::_("Articles"),JText::_("Articles"));
		$labels['authors'] = sprintf($img, 'author.png', JText::_("Authors"),JText::_("Authors"));
		$labels['hits'] = sprintf($img, 'hit.png', JText::_("Hits"),JText::_("Hits"));
		$labels['comments'] = sprintf($img, 'comment.png', JText::_("Comments"),JText::_("Comments"));
		$labels['rating'] = sprintf($img, 'rating.png', JText::_("Rating"),JText::_("Rating"));
		$labels['favourite'] = sprintf($img, 'favourite.gif', JText::_("Favourites"),JText::_("Favourites"));
		break;
	case 2:
		$folder = JURI::base().'modules/mod_jsc_secsummary/images/';
		$img = '<img src="'.$folder.'%s" alt="%s" title="%s"/>%s';
		$labels['records'] = sprintf($img, 'record.png', JText::_("Articles"), JText::_("Articles"),JText::_("Articles"));
		$labels['authors'] = sprintf($img, 'author.png', JText::_("Authors"),JText::_("Authors"),JText::_("Authors"));
		$labels['hits'] = sprintf($img, 'hit.png', JText::_("Hits"),JText::_("Hits"),JText::_("Hits"));
		$labels['comments'] = sprintf($img, 'comment.png', JText::_("Comments"),JText::_("Comments"),JText::_("Comments"));
		$labels['rating'] = sprintf($img, 'rating.png', JText::_("Rating"),JText::_("Rating"),JText::_("Rating"));
		$labels['favourite'] = sprintf($img, 'favourite.gif', JText::_("Favourites"),JText::_("Favourites"),JText::_("Favourites"));
		break;
}

	echo $params->get('prepend');
	
	$interval_types = array(
		"DAY"		=> JText::_("Day(s)"),
		"WEEK"		=> JText::_("Week(s)"),
		"MONTH"		=> JText::_("Month(s)"),
		"YEAR"		=> JText::_("Year(s)")
	);
?>
<table width="100%"
	class="sec_summary<?php echo $params->get('suffix') ?>">
	<tr>
		<th><?php echo JText::_("Stats");?></th>
		<th width="30"><?php echo JText::_("Last")." ".$params->get('interval').' '.$interval_types[$params->get('interval_type')];?></th>
		<th width="30%"><?php echo JText::_("Total");?></th>
	</tr>
	<?php if ($params->get('records')):	?>
	<tr class="jcs_summary_entry1">
		<td><?php echo $labels['records'] ?></td>
		<td align="center"><?php echo $section_info['interval']['records']; ?></td>
		<td><?php echo $section_info['total']['records']; ?></td>
	</tr>
	<?php endif; ?>
	<?php if ($params->get('authors')):	?>
	<tr class="jcs_summary_entry2">
		<td><?php echo $labels['authors'];?></td>
		<td align="center"><?php echo $section_info['interval']['authors']; ?></td>
		<td><?php echo $section_info['total']['authors']; ?></td>
	</tr>
	<?php endif; ?>
	<?php if ($params->get('hits')):	?>
	<tr class="jcs_summary_entry1">
		<td><?php echo $labels['hits']; ?></td>
		<td align="center"><?php echo $section_info['interval']['hits']; ?></td>
		<td><?php echo $section_info['total']['hits']; ?></td>
	</tr>
	<?php endif; ?>
	<?php if ($params->get('comments')):	?>
	<tr class="jcs_summary_entry2">
		<td><?php echo $labels['comments'];?></td>
		<td align="center"><?php echo $section_info['interval']['comments']; ?></td>
		<td><?php echo $section_info['total']['comments']; ?></td>
	</tr>
	<?php endif; ?>
	<?php if ($params->get('rating')):	?>
	<tr class="jcs_summary_entry1">
		<td><?php echo $labels['rating']; ?></td>
		<td align="center"><?php echo $section_info['interval']['rating']; ?>%</td>
		<td><?php echo $section_info['total']['rating']; ?>%</td>
		<!--<td><?php //echo subTemplate::loadRatingTemplate($params->get('ratingtmpl'), $section_info['interval']['rating'], 'secsummary', 'secsummary', '','false'); ?></td>
		<td><?php //echo subTemplate::loadRatingTemplate($params->get('ratingtmpl'), $section_info['total']['rating'], 'secsummary', 'secsummary', '','false'); ?></td>-->
		<?php endif; ?>
		<?php if ($params->get('favourites')):	?>
	</tr>
	<tr class="jcs_summary_entry2">
		<td><?php echo $labels['favourite']; ?></td>
		<td align="center"><?php echo $section_info['interval']['favourite']; ?></td>
		<td><?php echo $section_info['total']['favourite']; ?></td>
	</tr>
	<?php endif; ?>
</table>
